%% ------  Lezione 1, 3 ottobre 2016 ------ 
% Il presente mini tutorial vuole essere la prosecuzione
% di quanto presente nel file Lab1-IntroMatlab.pdf

%% Esercizi

% 1) Costruire una matrice riempita di uni di dimensioni 10x10:
A = ones(10,10);
% - sostituire il valore in posizione (8,1) con 4
A(8,1) = 4;
% - estrarre e stampare a video la sottomatrice 3x3 corrispondente all'angolo 
%   in basso a sinistra della matrice (ultime 3 righe / prime 3 colonne)
A_sub = A(end-2:end,1:3)
% - Elevare la sottomatrice al quadrato
A_sub2 = A_sub^2
% - Elevare ogni elemento della sottomatrice al quadrato
A_sub2_el = A_sub.^2

% 2) Inizializzare due vettori v1 e v2 con i valori [0 0] e [1 1] 
% rispettivamente.
v1 = [0 0];
v2 = [1 1];
% Assumendo che i due numeri contenuti nel vettore siano coordinate 
% (x,y) in un piano cartesiano, calcolare la distanza euclidea 
% tra v1 e v2.
% Comandi utili: sum, sqrt
dist1 = sqrt(sum((v1-v2).^2))

% 3) Ripetere l'esercizio inizializzando v1 con [2; 0] e v2 con [0; 2]
% E' importante che i vettori siano definiti in riga o in colonna?
v1 = [2;0];
v2 = [0;2];
dist2 = sqrt(sum((v1-v2).^2)) %utilizzando questo codice, non è importante che i vettori siano definiti in riga o colonna

% 4) Concatenare le distanze trovate negli esercizi 2) e 3) in un unico
% vettore D e calcolarne la media. 
% E' possibile effettuare l'operazione inv(D)? Perché?
D = [dist1 dist2];
media = mean(D)
% Non si può effetuare l'inversa di una matrice che non sia quadrata

